org.eclipse.eef.util

## Class EefAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.eef.util.EefAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

Direct Known Subclasses:
  EefItemProviderAdapterFactory

    public class EefAdapterFactory
    extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `EefPackage`

### Field Summary

Fields
`protected static EefPackage` `modelPackage` The cached model package.
`protected EefSwitch<org.eclipse.emf.common.notify.Adapter>` `modelSwitch` The switch that delegates to the `createXXX` methods.

### Constructor Summary

Constructors
Constructor and Description
`EefAdapterFactory()` Creates an instance of the adapter factory.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` `createEEFButtonConditionalStyleAdapter()` Creates a new adapter for an object of class '`EEF Button Conditional Style`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFButtonDescriptionAdapter()` Creates a new adapter for an object of class '`EEF Button Description`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFButtonStyleAdapter()` Creates a new adapter for an object of class '`EEF Button Style`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFCheckboxConditionalStyleAdapter()` Creates a new adapter for an object of class '`EEF Checkbox Conditional Style`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFCheckboxDescriptionAdapter()` Creates a new adapter for an object of class '`EEF Checkbox Description`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFCheckboxStyleAdapter()` Creates a new adapter for an object of class '`EEF Checkbox Style`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFConditionalStyleAdapter()` Creates a new adapter for an object of class '`EEF Conditional Style`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFContainerDescriptionAdapter()` Creates a new adapter for an object of class '`EEF Container Description`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFControlDescriptionAdapter()` Creates a new adapter for an object of class '`EEF Control Description`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFCustomExpressionAdapter()` Creates a new adapter for an object of class '`EEF Custom Expression`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFCustomWidgetConditionalStyleAdapter()` Creates a new adapter for an object of class '`EEF Custom Widget Conditional Style`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFCustomWidgetDescriptionAdapter()` Creates a new adapter for an object of class '`EEF Custom Widget Description`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFCustomWidgetStyleAdapter()` Creates a new adapter for an object of class '`EEF Custom Widget Style`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFDynamicMappingForAdapter()` Creates a new adapter for an object of class '`EEF Dynamic Mapping For`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFDynamicMappingIfAdapter()` Creates a new adapter for an object of class '`EEF Dynamic Mapping If`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFFillLayoutDescriptionAdapter()` Creates a new adapter for an object of class '`EEF Fill Layout Description`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFGridLayoutDescriptionAdapter()` Creates a new adapter for an object of class '`EEF Grid Layout Description`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFGroupConditionalStyleAdapter()` Creates a new adapter for an object of class '`EEF Group Conditional Style`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFGroupDescriptionAdapter()` Creates a new adapter for an object of class '`EEF Group Description`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFGroupStyleAdapter()` Creates a new adapter for an object of class '`EEF Group Style`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFHyperlinkConditionalStyleAdapter()` Creates a new adapter for an object of class '`EEF Hyperlink Conditional Style`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFHyperlinkDescriptionAdapter()` Creates a new adapter for an object of class '`EEF Hyperlink Description`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFHyperlinkStyleAdapter()` Creates a new adapter for an object of class '`EEF Hyperlink Style`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFLabelConditionalStyleAdapter()` Creates a new adapter for an object of class '`EEF Label Conditional Style`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFLabelDescriptionAdapter()` Creates a new adapter for an object of class '`EEF Label Description`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFLabelStyleAdapter()` Creates a new adapter for an object of class '`EEF Label Style`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFLayoutDescriptionAdapter()` Creates a new adapter for an object of class '`EEF Layout Description`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFListConditionalStyleAdapter()` Creates a new adapter for an object of class '`EEF List Conditional Style`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFListDescriptionAdapter()` Creates a new adapter for an object of class '`EEF List Description`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFListStyleAdapter()` Creates a new adapter for an object of class '`EEF List Style`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFPageDescriptionAdapter()` Creates a new adapter for an object of class '`EEF Page Description`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFPropertyValidationRuleDescriptionAdapter()` Creates a new adapter for an object of class '`EEF Property Validation Rule Description`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFRadioConditionalStyleAdapter()` Creates a new adapter for an object of class '`EEF Radio Conditional Style`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFRadioDescriptionAdapter()` Creates a new adapter for an object of class '`EEF Radio Description`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFRadioStyleAdapter()` Creates a new adapter for an object of class '`EEF Radio Style`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFRuleAuditDescriptionAdapter()` Creates a new adapter for an object of class '`EEF Rule Audit Description`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFSelectConditionalStyleAdapter()` Creates a new adapter for an object of class '`EEF Select Conditional Style`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFSelectDescriptionAdapter()` Creates a new adapter for an object of class '`EEF Select Description`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFSelectStyleAdapter()` Creates a new adapter for an object of class '`EEF Select Style`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFSemanticValidationRuleDescriptionAdapter()` Creates a new adapter for an object of class '`EEF Semantic Validation Rule Description`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFTextConditionalStyleAdapter()` Creates a new adapter for an object of class '`EEF Text Conditional Style`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFTextDescriptionAdapter()` Creates a new adapter for an object of class '`EEF Text Description`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFTextStyleAdapter()` Creates a new adapter for an object of class '`EEF Text Style`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFToolbarActionAdapter()` Creates a new adapter for an object of class '`EEF Toolbar Action`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFValidationFixDescriptionAdapter()` Creates a new adapter for an object of class '`EEF Validation Fix Description`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFValidationRuleDescriptionAdapter()` Creates a new adapter for an object of class '`EEF Validation Rule Description`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFViewDescriptionAdapter()` Creates a new adapter for an object of class '`EEF View Description`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFWidgetActionAdapter()` Creates a new adapter for an object of class '`EEF Widget Action`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFWidgetDescriptionAdapter()` Creates a new adapter for an object of class '`EEF Widget Description`'.
`org.eclipse.emf.common.notify.Adapter` `createEEFWidgetStyleAdapter()` Creates a new adapter for an object of class '`EEF Widget Style`'.
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### modelPackage

    protected static EefPackage modelPackage

The cached model package.

#### modelSwitch

    protected EefSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

The switch that delegates to the `createXXX` methods.

### Constructor Detail

#### EefAdapterFactory

    public EefAdapterFactory()

Creates an instance of the adapter factory.

### Method Detail

#### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

Specified by:
  `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Returns:
  whether this factory is applicable for the type of the object.

#### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

Creates an adapter for the `target`.

Overrides:
  `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Parameters:
  `target` - the object to adapt.
Returns:
  the adapter for the `target`.

#### createEEFViewDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFViewDescriptionAdapter()

Creates a new adapter for an object of class '`EEF View Description`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFViewDescription`

#### createEEFPageDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFPageDescriptionAdapter()

Creates a new adapter for an object of class '`EEF Page Description`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFPageDescription`

#### createEEFValidationRuleDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFValidationRuleDescriptionAdapter()

Creates a new adapter for an object of class '`EEF Validation Rule Description`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFValidationRuleDescription`

#### createEEFRuleAuditDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFRuleAuditDescriptionAdapter()

Creates a new adapter for an object of class '`EEF Rule Audit Description`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFRuleAuditDescription`

#### createEEFValidationFixDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFValidationFixDescriptionAdapter()

Creates a new adapter for an object of class '`EEF Validation Fix Description`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFValidationFixDescription`

#### createEEFPropertyValidationRuleDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFPropertyValidationRuleDescriptionAdapter()

Creates a new adapter for an object of class '`EEF Property Validation Rule Description`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFPropertyValidationRuleDescription`

#### createEEFSemanticValidationRuleDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFSemanticValidationRuleDescriptionAdapter()

Creates a new adapter for an object of class '`EEF Semantic Validation Rule Description`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFSemanticValidationRuleDescription`

#### createEEFGroupDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFGroupDescriptionAdapter()

Creates a new adapter for an object of class '`EEF Group Description`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFGroupDescription`

#### createEEFToolbarActionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFToolbarActionAdapter()

Creates a new adapter for an object of class '`EEF Toolbar Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFToolbarAction`

#### createEEFControlDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFControlDescriptionAdapter()

Creates a new adapter for an object of class '`EEF Control Description`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFControlDescription`

#### createEEFContainerDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFContainerDescriptionAdapter()

Creates a new adapter for an object of class '`EEF Container Description`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFContainerDescription`

#### createEEFLayoutDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFLayoutDescriptionAdapter()

Creates a new adapter for an object of class '`EEF Layout Description`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFLayoutDescription`

#### createEEFFillLayoutDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFFillLayoutDescriptionAdapter()

Creates a new adapter for an object of class '`EEF Fill Layout Description`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFFillLayoutDescription`

#### createEEFGridLayoutDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFGridLayoutDescriptionAdapter()

Creates a new adapter for an object of class '`EEF Grid Layout Description`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFGridLayoutDescription`

#### createEEFWidgetDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFWidgetDescriptionAdapter()

Creates a new adapter for an object of class '`EEF Widget Description`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFWidgetDescription`

#### createEEFTextDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFTextDescriptionAdapter()

Creates a new adapter for an object of class '`EEF Text Description`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFTextDescription`

#### createEEFLabelDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFLabelDescriptionAdapter()

Creates a new adapter for an object of class '`EEF Label Description`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFLabelDescription`

#### createEEFButtonDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFButtonDescriptionAdapter()

Creates a new adapter for an object of class '`EEF Button Description`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFButtonDescription`

#### createEEFCheckboxDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFCheckboxDescriptionAdapter()

Creates a new adapter for an object of class '`EEF Checkbox Description`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFCheckboxDescription`

#### createEEFSelectDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFSelectDescriptionAdapter()

Creates a new adapter for an object of class '`EEF Select Description`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFSelectDescription`

#### createEEFRadioDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFRadioDescriptionAdapter()

Creates a new adapter for an object of class '`EEF Radio Description`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFRadioDescription`

#### createEEFHyperlinkDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFHyperlinkDescriptionAdapter()

Creates a new adapter for an object of class '`EEF Hyperlink Description`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFHyperlinkDescription`

#### createEEFDynamicMappingForAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFDynamicMappingForAdapter()

Creates a new adapter for an object of class '`EEF Dynamic Mapping For`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFDynamicMappingFor`

#### createEEFDynamicMappingIfAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFDynamicMappingIfAdapter()

Creates a new adapter for an object of class '`EEF Dynamic Mapping If`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFDynamicMappingIf`

#### createEEFCustomWidgetDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFCustomWidgetDescriptionAdapter()

Creates a new adapter for an object of class '`EEF Custom Widget Description`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFCustomWidgetDescription`

#### createEEFCustomExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFCustomExpressionAdapter()

Creates a new adapter for an object of class '`EEF Custom Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFCustomExpression`

#### createEEFListDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFListDescriptionAdapter()

Creates a new adapter for an object of class '`EEF List Description`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFListDescription`

#### createEEFWidgetStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFWidgetStyleAdapter()

Creates a new adapter for an object of class '`EEF Widget Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFWidgetStyle`

#### createEEFTextStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFTextStyleAdapter()

Creates a new adapter for an object of class '`EEF Text Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFTextStyle`

#### createEEFLabelStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFLabelStyleAdapter()

Creates a new adapter for an object of class '`EEF Label Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFLabelStyle`

#### createEEFButtonStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFButtonStyleAdapter()

Creates a new adapter for an object of class '`EEF Button Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFButtonStyle`

#### createEEFCheckboxStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFCheckboxStyleAdapter()

Creates a new adapter for an object of class '`EEF Checkbox Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFCheckboxStyle`

#### createEEFSelectStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFSelectStyleAdapter()

Creates a new adapter for an object of class '`EEF Select Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFSelectStyle`

#### createEEFRadioStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFRadioStyleAdapter()

Creates a new adapter for an object of class '`EEF Radio Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFRadioStyle`

#### createEEFHyperlinkStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFHyperlinkStyleAdapter()

Creates a new adapter for an object of class '`EEF Hyperlink Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFHyperlinkStyle`

#### createEEFCustomWidgetStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFCustomWidgetStyleAdapter()

Creates a new adapter for an object of class '`EEF Custom Widget Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFCustomWidgetStyle`

#### createEEFListStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFListStyleAdapter()

Creates a new adapter for an object of class '`EEF List Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFListStyle`

#### createEEFGroupStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFGroupStyleAdapter()

Creates a new adapter for an object of class '`EEF Group Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFGroupStyle`

#### createEEFConditionalStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFConditionalStyleAdapter()

Creates a new adapter for an object of class '`EEF Conditional Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFConditionalStyle`

#### createEEFTextConditionalStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFTextConditionalStyleAdapter()

Creates a new adapter for an object of class '`EEF Text Conditional Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFTextConditionalStyle`

#### createEEFButtonConditionalStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFButtonConditionalStyleAdapter()

Creates a new adapter for an object of class '`EEF Button Conditional Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFButtonConditionalStyle`

#### createEEFLabelConditionalStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFLabelConditionalStyleAdapter()

Creates a new adapter for an object of class '`EEF Label Conditional Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFLabelConditionalStyle`

#### createEEFCheckboxConditionalStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFCheckboxConditionalStyleAdapter()

Creates a new adapter for an object of class '`EEF Checkbox Conditional Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFCheckboxConditionalStyle`

#### createEEFSelectConditionalStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFSelectConditionalStyleAdapter()

Creates a new adapter for an object of class '`EEF Select Conditional Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFSelectConditionalStyle`

#### createEEFRadioConditionalStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFRadioConditionalStyleAdapter()

Creates a new adapter for an object of class '`EEF Radio Conditional Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFRadioConditionalStyle`

#### createEEFHyperlinkConditionalStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFHyperlinkConditionalStyleAdapter()

Creates a new adapter for an object of class '`EEF Hyperlink Conditional Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFHyperlinkConditionalStyle`

#### createEEFCustomWidgetConditionalStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFCustomWidgetConditionalStyleAdapter()

Creates a new adapter for an object of class '`EEF Custom Widget Conditional Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFCustomWidgetConditionalStyle`

#### createEEFWidgetActionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFWidgetActionAdapter()

Creates a new adapter for an object of class '`EEF Widget Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFWidgetAction`

#### createEEFListConditionalStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFListConditionalStyleAdapter()

Creates a new adapter for an object of class '`EEF List Conditional Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFListConditionalStyle`

#### createEEFGroupConditionalStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFGroupConditionalStyleAdapter()

Creates a new adapter for an object of class '`EEF Group Conditional Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EEFGroupConditionalStyle`

#### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

Creates a new adapter for the default case. This default implementation returns null.

Returns:
  the new adapter.